## display-align

display-align —

## Synopsis

    enum        FoEnumDisplayAlign;
    #define     FO_TYPE_ENUM_DISPLAY_ALIGN
    GType       fo_enum_display_align_get_type  (void);
    struct      FoPropertyDisplayAlign;
    struct      FoPropertyDisplayAlignClass;
    FoProperty* fo_property_display_align_new   (void);
    FoProperty* fo_property_display_align_get_initial
                                                (void);

## Description

## Details

### enum FoEnumDisplayAlign

    typedef enum {
      FO_ENUM_DISPLAY_ALIGN_AUTO,
      FO_ENUM_DISPLAY_ALIGN_BEFORE,
      FO_ENUM_DISPLAY_ALIGN_CENTER,
      FO_ENUM_DISPLAY_ALIGN_AFTER
    } FoEnumDisplayAlign;

### FO_TYPE_ENUM_DISPLAY_ALIGN

    #define FO_TYPE_ENUM_DISPLAY_ALIGN fo_enum_display_align_get_type ()

### fo_enum_display_align_get_type ()

    GType       fo_enum_display_align_get_type  (void);

Returns : |

### struct FoPropertyDisplayAlign

    struct FoPropertyDisplayAlign;

### struct FoPropertyDisplayAlignClass

    struct FoPropertyDisplayAlignClass;

### fo_property_display_align_new ()

    FoProperty* fo_property_display_align_new   (void);

Creates a new FoPropertyDisplayAlign initialized to default value.

Returns : | the new FoPropertyDisplayAlign.

### fo_property_display_align_get_initial ()

    FoProperty* fo_property_display_align_get_initial
                                                (void);

Get an instance of the property with the correct initial value.

Returns : | An instance of the property.